using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace WebMail.Model
{
    [Table("Contacts")]
    public class Contact
    {
        [Key]
        [MaxLength(5)]
        public string Id { get; set; }

        [MaxLength(50)]
        [Required]
        public string Name { get; set; }

        [MaxLength(50)]
        public string Title { get; set; }

        [MaxLength(25)]
        public string Country { get; set; }

        [MaxLength(30)]
        public string City { get; set; }

        [MaxLength(40)]
        public string Company { get; set; }

        [MaxLength(30)]
        public string Phone { get; set; }

        [MaxLength(50)]
        public string Email { get; set; }

        [MaxLength(15)]
        public string ImageUrl { get; set; }

        public int FolderId { get; set; }
    }
}